<?php

return [
    /**
     * Author Model
     *
     * Point this to your user model who will be the author of blog posts.
     */
    'user' => 'App\User',

    /**
     * Route Prefix
     *
     * Change the prefix for accessing algo URLs.
     */
    'route_prefix' => 'algo',

    /**
     * User Interface
     *
     * Setting this to false, disables Algo routes.
     */
    'ui' => true,

    /**
     * User dimensions
     *
     * The dimension names listed in this field
     * will be applied to user images.
     */
    'user_dimensions' => ['admin.thumbnail', 'admin.gravatar', 'algo.user'],

    /**
     * Post dimensions
     *
     * The dimension names listed in this field
     * will be applied to post images.
     */
    'post_dimensions' => ['admin.thumbnail', 'algo.index', 'algo.show'],

    /**
     * Category dimensions
     *
     * The dimension names listed in this field
     * will be applied to category images.
     */
    'category_dimensions' => ['admin.thumbnail', 'algo.category'],

    /**
     * Tag dimensions
     *
     * The dimension names listed in this field
     * will be applied to tag images.
     */
    'tag_dimensions' => ['admin.thumbnail', 'algo.tag'],

    /**
     * These config values will not be used if you have a config file
     * called `translatable` in your `app/config` directory.
     *
     * See package `astrotomic/laravel-translatable` for more information.
     */
    'translatable' => [
        /**
         * Application Locales
         *
         * Contains an array with the applications available locales.
         */
        'locales' => [
            'hr', 'en', 'de'
        ],

        /**
         * Fallback Locale on/off
         *
         * With this option set to `true`, if the translation for given model is
         * missing, it will return the translation for the configured fallback
         * locale. See bellow.
         */
        'use_fallback_locale' => true,

        /**
         * Fallback Locale
         *
         * A fallback locale is the locale being used to return a translation
         * when the requested translation is not existing.
         */
        'fallback_locale' => 'en',
    ],

    /**
     * These config values will not be used if you have a config file
     * called `picasso` in your `app/config` directory.
     *
     * See package `laravelista/picasso` for more information.
     */
    'picasso' => [
        /**
         * Supported dimensions
         *
         * Change the supported dimensions here. You can add more dimensions here,
         * but be sure to update the config field with your names bellow.
         */
        'dimensions' => [
            /**
             * This is being used for showing images on the admin panel.
             * You will most likely not need to change this.
             */
            'admin' => [

                'thumbnail' => [
                    'width' => 200,
                    'height' => 200
                ],

                'gravatar' => [
                    'width' => 64,
                    'height' => 64
                ]

            ],

            /**
             * You can replace the values here completely, but
             * be sure to update the dimensions used for this package
             * in config value `algo.dimensions` to reflect the changes.
             */
            'algo' => [

                'index' => [
                    'width' => 850,
                    'height' => 570
                ],

                'show' => [
                    'width' => 850,
                    'height' => 570
                ],

                'category' => [
                    'width' => 850,
                    'height' => 570
                ],

                'tag' => [
                    'width' => 850,
                    'height' => 570
                ],

                'user' => [
                    'width' => 850,
                    'height' => 570
                ],

            ],
        ],
    ],

];
