<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Laravelista\Algo\MigrationHelper;

class ExpandUsersTable extends Migration
{
    use MigrationHelper;

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table($this->getuserTableName(), function (Blueprint $table) {
            $table->string('image')->nullable();

            $table->text('bio')->nullable();
            $table->string('slug')->nullable();

            $table->string('facebook_profile')->nullable();
            $table->string('twitter_profile')->nullable();

            $table->string('website')->nullable();
            $table->string('location')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table($this->getuserTableName(), function (Blueprint $table) {
            $table->dropColumn([
                'image', 'bio', 'slug', 'facebook_profile', 'twitter_profile', 'website', 'location'
            ]);
        });
    }
}
