@extends('algo::layouts.app', [
    'meta_title' => trans('algo::algo.categories') . ' | Show'
])

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">
                    @lang('algo::algo.category')

                    @tablist

                </div>

                <div class="card-body">
                    @statusAlert

                    <div class="tab-content">
                        @foreach(config('translatable.locales') as $supported_locale)
                            @tabpanel(['locale' => $supported_locale])

                                @field([
                                    'label' => trans('algo::algo.label_name', [], $supported_locale),
                                    // 'locale' => $supported_locale,
                                    'value' => $category->translateOrDefault($supported_locale)->name
                                ])

                                @field([
                                    'label' => trans('algo::algo.label_slug', [], $supported_locale),
                                    // 'locale' => $supported_locale,
                                    'value' => $category->translateOrDefault($supported_locale)->slug
                                ])
                            @endtabpanel
                        @endforeach
                    </div>

                    @field([
                        'label' => trans('algo::algo.created_at'),
                        'value' => $category->created_at->format('d.m.Y H:i')
                    ])

                    @if (!is_null($category->updated_at))
                        @field([
                            'label' => trans('algo::algo.updated_at'),
                            'value' => $category->updated_at->format('d.m.Y H:i')
                        ])
                    @endif

                    <div class="mt-4">
                        <a href="{{ route('algo.categories.edit', $category->id) }}" class="btn btn-sm btn-outline-primary">@lang('algo::algo.edit')</a>
                        <a href="{{ route('algo.categories.destroy', $category->id) }}" data-id="{{ $category->id }}" data-confirm='{{ trans('algo::algo.delete_category') }}' class="btn btn-sm btn-outline-danger js-confirm-delete">@lang('algo::algo.delete')</a>
                        <form style="display: none;" id="delete-form-{{ $category->id }}" method="POST" action="{{ route('algo.categories.destroy', $category->id) }}">
                            @csrf
                            @method('DELETE')
                        </form>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
@endsection
