@extends('algo::layouts.app', [
    'meta_title' => trans("algo::algo.posts.create.title")
])

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">@lang("algo::algo.posts.create.header")</div>
                <div class="card-body">
                    @statusAlert

                    {{-- @include('admin.ui.bootstrap4.forms.tmp_errors') --}}

                    @form([
                        'action' =>route('algo.posts.store'),
                        'method' => 'POST'
                    ])
                        @input([
                            'name' => 'title',
                            'label' => trans('algo::algo.label_name'),
                            'placeholder' => trans('algo::algo.placeholder_name'),
                            'required' => true
                        ])

                        @input([
                            'name' => 'slug',
                            'label' => trans('algo::algo.label_slug'),
                            'placeholder' => trans('algo::algo.placeholder_slug'),
                            'help' => trans('algo::algo.leave_field_empty')
                        ])

                        @input([
                            'name' => 'intro',
                            'label' => trans('algo::algo.label_intro'),
                            'placeholder' => trans('algo::algo.placeholder_intro')
                        ])

                        @textarea([
                            'name' => 'content',
                            'label' => trans('algo::algo.label_content'),
                            'help' => trans('algo::algo.use_markdown_syntax'),
                            'rows' => 7,
                            'required' => true
                        ])

                        @input([
                            'name' => 'video_link',
                            'label' => 'YouTube video link',
                            'placeholder' => 'https://',
                        ])

                        @input([
                            'name' => 'published_at_date',
                            'label' => trans('algo::algo.label_published_at_date'),
                            'type' => 'date'
                        ])

                        @input([
                            'name' => 'published_at_time',
                            'label' => trans('algo::algo.label_published_at_time'),
                            'type' => 'time'
                        ])

                        @select([
                            'label' => trans('algo::algo.label_author'),
                            'name' => 'author_id',
                            'options' => $authors,
                            'placeholder' => trans('algo::algo.placeholder_author'),
                            'required' => true
                        ])

                        @select([
                            'label' => trans('algo::algo.label_category'),
                            'name' => 'category_id',
                            'options' => $categories,
                            'placeholder' => trans('algo::algo.placeholder_category'),
                            'required' => true
                        ])

                        @select([
                            'label' => trans('algo::algo.label_tags'),
                            'name' => 'tags_list[]',
                            'options' => $tags,
                            'placeholder' => trans('algo::algo.placeholder_tags'),
                            'multiple' => true
                        ])

                        @checkbox([
                            'label' => trans('algo::algo.label_featured'),
                            'name' => 'featured'
                        ])

                        @submit(['text' => trans('algo::algo.create')])
                    @endform
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
