@extends('algo::layouts.app', [
    'meta_title' => trans("algo::algo.images.create.title")
])

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">@lang("algo::algo.images.create.header")</div>
                <div class="card-body">
                    @statusAlert

                    {{-- @include('admin.ui.bootstrap4.forms.all_errors') --}}

                    @form([
                        'action' =>route('algo.posts.images.store', $post->id),
                        'method' => 'POST',
                        'files' => true
                    ])
                        @input([
                            'name' => 'image',
                            'label' => trans('algo::algo.label_image'),
                            'placeholder' => trans('algo::algo.placeholder_image'),
                            'required' => true,
                            'type' => 'file',
                            'class' => 'form-control-file'
                        ])

                        @submit(['text' => trans('algo::algo.create')])
                    @endform
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
