@extends('algo::layouts.app', [
    'meta_title' => trans("algo::algo.images.index.title")
])

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">@lang("algo::algo.images.index.header")</div>
                <div class="card-body">
                    @statusAlert

                    <div class="mb-4">
                        <a href="{{ route('algo.posts.images.create', $post->id) }}" class="btn btn-sm btn-outline-dark">@lang("algo::algo.images.index.new")</a>
                    </div>

                    @foreach($images->chunk(3) as $imageSubset)
                        <div class="row">
                            @foreach($imageSubset as $image)
                                <div class="col-md-4">
                                    @include('algo::posts.images._image', ['image' => $image])
                                </div>
                            @endforeach
                        </div>
                    @endforeach
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
