@extends('algo::layouts.app', [
    'meta_title' => trans("algo::algo.posts.translations.title")
])

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">@lang("algo::algo.posts.translations.header")

                    @languageSwitcher([
                        'model_id' => $post->id,
                        'resource_route_name' => 'posts',
                        'active_locale' => $locale
                    ])

                </div>

                <div class="card-body">
                    @statusAlert

                    {{-- @include('admin.ui.bootstrap4.forms.tmp_errors') --}}

                    @form([
                        'action' =>route('algo.posts.translations.update', [$post->id, $locale]),
                        'method' => 'PUT'
                    ])

                        @input([
                            'name' => 'title',
                            'label' => trans('algo::algo.label_name'),
                            'placeholder' => trans('algo::algo.placeholder_name'),
                            'value' => $post->translateOrDefault($locale)->title,
                            'required' => true
                        ])

                        @input([
                            'name' => 'slug',
                            'label' => trans('algo::algo.label_slug'),
                            'placeholder' => trans('algo::algo.placeholder_slug'),
                            'help' => trans('algo::algo.leave_field_empty'),
                            'value' => $post->translateOrDefault($locale)->slug
                        ])

                        @input([
                            'name' => 'intro',
                            'label' => trans('algo::algo.label_intro'),
                            'placeholder' => trans('algo::algo.placeholder_intro')
                            'value' => $post->translateOrDefault($locale)->intro
                        ])

                        @textarea([
                            'name' => 'content',
                            'label' => trans('algo::algo.label_content'),
                            'help' => trans('algo::algo.use_markdown_syntax'),
                            'rows' => 7,
                            'value' => $post->translateOrDefault($locale)->content,
                            'required' => true
                        ])

                        @submit(['text' => trans('algo::algo.translate')])
                        <a class="btn btn-link" href="{{ route('algo.posts.edit', $post->id) }}">{{ trans('algo::algo.cancel') }}</a>
                    @endform
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
