@extends('algo::layouts.app', [
    'meta_title' => trans("algo::algo.tags.translations.title")
])

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">@lang("algo::algo.tags.translations.header")

                    @languageSwitcher([
                        'model_id' => $tag->id,
                        'resource_route_name' => 'tags',
                        'active_locale' => $locale
                    ])

                </div>

                <div class="card-body">
                    @statusAlert

                    {{-- @include('admin.ui.bootstrap4.forms.tmp_errors') --}}

                    @form([
                        'action' =>route('algo.tags.translations.update', [$tag->id, $locale]),
                        'method' => 'PUT'
                    ])
                        @input([
                            'name' => 'name',
                            'label' => trans('algo::algo.label_name'),
                            'placeholder' => trans('algo::algo.placeholder_name'),
                            'value' => $tag->translateOrDefault($locale)->name
                        ])

                        @input([
                            'name' => 'slug',
                            'label' => trans('algo::algo.label_slug'),
                            'placeholder' => trans('algo::algo.placeholder_slug'),
                            'value' => $tag->translateOrDefault($locale)->slug,
                            'help' => trans('algo::algo.leave_field_empty')
                        ])

                        @textarea([
                            'name' => 'description',
                            'label' => trans('algo::algo.label_description'),
                            'help' => trans('algo::algo.help_description'),
                            'value' => $tag->translateOrDefault($locale)->description,
                            'rows' => 7
                        ])

                        @submit(['text' => trans('algo::algo.translate')])
                        <a class="btn btn-link" href="{{ route('algo.tags.edit', $tag->id) }}">{{ trans('algo::algo.cancel') }}</a>
                    @endform
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
