@php
$supportedInputTypes = ['button', 'checkbox', 'color', 'date', 'datetime-local', 'email', 'file', 'hidden', 'image', 'month', 'number', 'password', 'radio', 'range', 'reset', 'search', 'submit', 'tel', 'text', 'time', 'url', 'week'];

$type = $type ?? 'text';

if (!in_array($type, $supportedInputTypes)) {
    throw new Exception('Invalid input type!');
}
@endphp

<div class="form-group">
    <label for="{{ $name }}">{{ $label }} @if(isset($required) and $required == true) <span class="text-danger">*</span> @endif</label>
    <input id={{ $id ?? $name }} type="{{ $type }}" class="@isset($class) {{ $class }} @else form-control @endif @if($errors->has($name)) is-invalid @elseif(old($name)) is-valid @endif" name="{{ $name }}" @isset($help) aria-describedby="{{ $id ?? $name }}Help" @endisset placeholder="{{ $placeholder ?? $label }}" value="{{ old($name) ?? $value ?? '' }}">
    @isset($help)
    <small id="{{ $id ?? $name}}Help" class="form-text text-muted">{{ $help }}</small>
    @endisset
    <div class="invalid-feedback">
        {{ $errors->first($name) }}
    </div>
    <div class="valid-feedback">
        @lang('algo::algo.valid-feedback')
    </div>
</div>