<div class="form-group">
    <label for="{{ $name }}">{{ $label }} @if(isset($required) and $required == true) <span class="text-danger">*</span> @endif</label>
    <select
        id={{ $id ?? $name }}
        class="custom-select @if($errors->has($name)) is-invalid @elseif(old($name)) is-valid @endif"
        name="{{ $name }}"
        @isset($help) aria-describedby="{{ $id ?? $name }}Help" @endisset
        @if(isset($disabled) and $disabled == true) disabled @endif
        @if(isset($multiple) and $multiple == true) multiple @endif
        @isset($style) style="{{ $style }}" @endisset>
            @isset($placeholder)
                <option value="">{{ $placeholder }}</option>
            @endisset
            @php
                /**
                * Priority: old values -> entered values -> empty array.
                * Strip [] from $name for correct old values.
                * Converts string to array.
                */
                $data = old(Str::replaceLast('[]', '', $name)) ?? $selected ?? [];
                if (!is_array($data)) $data = [$data];
            @endphp
            @foreach($options as $key => $value)
                <option @if(in_array($key, $data)) selected="selected" @endif value="{{ $key }}">{{ $value }}</option>
            @endforeach
    </select>
    @isset($help)
        <small id="{{ $id ?? $name}}Help" class="form-text text-muted">{{ $help }}</small>
    @endisset
    <div class="invalid-feedback">
        {{ $errors->first($name) }}
    </div>
    <div class="valid-feedback">
        @lang('algo::algo.valid-feedback')
    </div>
</div>