<?php

namespace Laravelista\Algo\Helpers;

use Illuminate\Support\Carbon;

class PublishedAt
{
    public function __construct(protected Carbon $carbon)
    {
    }

    /**
     * Depending on the given date & time, it
     * returns the database ready datetime value.
     */
    public function get(?string $date, ?string $time): ?string
    {
        if (is_null($date)) {
            return null;
        }

        if (is_null($time)) {
            return $date . ' ' . $this->carbon->now()->format('H:i:s');
        }

        return "{$date} {$time}:00";
    }
}
