<?php

namespace Laravelista\Algo\Helpers;

use Illuminate\Config\Repository as Config;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;

class ValidateLocale
{
    public function __construct(protected Config $config)
    {
    }

    /**
     * If the given locale is not in the supported locales,
     * throw 404 page not found error.
     *
     * @throws \Symfony\Component\HttpKernel\Exception\NotFoundHttpException
     */
    public function validate(string $locale): void
    {
        if (!in_array(
            needle: $locale,
            haystack: $this->config->get('translatable.locales')
        )
        ) {
            throw new NotFoundHttpException();
        }
    }
}
