<?php

namespace Laravelista\Algo\Models;

use Astrotomic\Translatable\Translatable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Laravelista\Algo\Models\Traits\Imageable;

class Category extends Model
{
    use Translatable;
    use Imageable;

    /**
     * The attributes that are mass assignable.
     *
     * @var string[]
     */
    protected $fillable = ['name', 'slug', 'description'];

    /**
     * The attributes that are translatable.
     */
    public array $translatedAttributes = ['name', 'slug', 'description'];

    /**
     * It returns posts that belong to this category.
     */
    public function posts(): HasMany
    {
        return $this->hasMany(Post::class);
    }
}
