<?php

namespace Laravelista\Algo\Models;

use Astrotomic\Translatable\Translatable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsToMany;
use Laravelista\Algo\Models\Traits\Imageable;

class Tag extends Model
{
    use Translatable;
    use Imageable;

    /**
     * The attributes that are translatable.
     */
    public array $translatedAttributes = ['name', 'slug', 'description'];

    /**
     * The attributes that are mass assignable.
     *
     * @var string[]
     */
    protected $fillable = ['name', 'slug', 'description'];

    /**
     * It returns the posts for this tag.
     */
    public function posts(): BelongsToMany
    {
        return $this->belongsToMany(Post::class);
    }
}
