<?php

use Illuminate\Support\Facades\Config;
use Illuminate\Support\Facades\Route;

Route::prefix(Config::get('algo.route_prefix', 'algo'))
    ->namespace('Laravelista\Algo\Controllers')
    ->name('algo.')
    ->middleware([
        'web',
        'auth'
    ])
    ->group(function () {
        Route::redirect('/', Config::get('algo.route_prefix', 'algo') . "/posts");

        Route::resource('posts.translations', 'PostTranslationController')->only(['edit', 'update']);
        Route::resource('posts', 'PostController');
        Route::resource('posts.images', 'PostImageController')->except(['show']);

        Route::resource('categories.translations', 'CategoryTranslationController')->only(['edit', 'update']);
        Route::resource('categories', 'CategoryController');

        Route::resource('tags.translations', 'TagTranslationController')->only(['edit', 'update']);
        Route::resource('tags', 'TagController');

        Route::resource('users', 'UserController');
    });
